Installer - Bug #27540

Installer tries to start local postgresql service when its externally hosted
08/07/2019 02:16 PM - Amit Upadhye

Status: Closed

Priority: Normal

Assignee: Amit Upadhye
Category: foreman-installer script

Target version:

Difficulty: Fixed in Releases: 1.22.1,1.23.0
Triaged: Yes Found in Releases:

Bugzilla link: 1733965 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/379

Description
The upgrade fails as below,

foreman-maintain service stop finished successfully!

Upgrade Step: start_postgresq|...

Failed to start postgresql.service: Unit not found.

systemctl start postgresql failed! Check the output for error!

Upgrade step start_postgresql failed. Check logs for more information.

Associated revisions

Revision 6974d90 - 08/12/2019 02:04 PM - Amit Upadhye
Fixes #27540 - handle remote postgresql in upgrades

When the postgresql is remote, it shouldn't be started.

History

#1 - 08/07/2019 02:23 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/379 added

#2 - 08/12/2019 02:04 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#3 - 08/12/2019 02:06 PM - Ewoud Kohl van Wijngaarden
- Target version set to 1.24.0

- Triaged changed from No to Yes

#4 - 08/12/2019 03:01 PM - Amit Upadhye
- Status changed from Ready For Testing to Closed

Applied in changeset installer|e6974d90599fb07a3799c82e8e59405ea6138206.

#5 - 08/28/2019 07:15 AM - Tomer Brisker
- Fixed in Releases 1.22.1, 1.23.0 added
- Fixed in Releases deleted (1.24.0)

#6 - 11/25/2019 09:05 AM - Tomer Brisker
- Target version deleted (1.24.0)
